콘텐츠로 건너뛰기

Image Editing Style Transfer

통합

모델 id image-editing/style-transfer
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-editing/style-transfer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.04 40 API 크레딧 이 페이지에서 실행

API 키 받기
Utility · 이미지

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

기본값 Van Gogh's Starry Night

변환에 사용할 예술적 스타일입니다.

•필수 image_url
파일을 끌어다 놓거나

omni 모델에 프롬프트로 제공하는 이미지입니다.

aspect_ratio

결과 이미지의 가로세로 비율입니다.

고급 safety_tolerance · output_format · guidance_scale · num_inference_steps · seed
safety_tolerance 기본값 2

생성 이미지의 안전 설정입니다. 가장 허용적인 필터링에는 6을, 가장 엄격한 필터링에는 1을 선택합니다.

output_format 기본값 jpeg

결과 이미지의 파일 형식입니다.

기본값 3.5

이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.

기본값 30

샘플링 중 사용되는 추론 단계 수입니다.

재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.

POST /run/image-editing/style-transfer?wait=20 견적 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-editing/style-transfer?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Image Editing Style Transfer 정보

`image_url`의 이미지를 `prompt`로 지정한 예술 스타일로 다시 스타일링합니다. 기본값은 Van Gogh's Starry Night이지만 어떤 스타일이든 설명할 수 있습니다. `guidance_scale`, `num_inference_steps`(1~50), 출력 형식(jpeg 또는 png), `aspect_ratio`, `seed`를 조정할 수 있습니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
image_url필수 image
유형url · image
omni 모델에 프롬프트로 제공하는 이미지입니다.
guidance_scale선택 사항
유형number
기본값3.5
0 – 20
이미지 선택 시 프롬프트 준수 강도이며 CFG(Classifier Free Guidance)로 표현합니다.
num_inference_steps선택 사항
유형integer
기본값30
1 – 50
샘플링 중 사용되는 추론 단계 수입니다.
safety_tolerance선택 사항
유형enum
기본값2
123456
생성 이미지의 안전 설정입니다. 가장 허용적인 필터링에는 6을, 가장 엄격한 필터링에는 1을 선택합니다.
output_format선택 사항
유형enum
기본값jpeg
jpegpng
결과 이미지의 파일 형식입니다.
aspect_ratio선택 사항
유형enum
21:916:94:33:21:12:33:49:169:21
결과 이미지의 가로세로 비율입니다.
seed선택 사항
유형integer | null
재현 가능한 이미지 생성을 위한 시드입니다. 모델 버전이 동일하면 동일한 프롬프트와 시드로 동일한 이미지가 생성됩니다.
prompt선택 사항
유형string
기본값Van Gogh's Starry Night
변환에 사용할 예술적 스타일입니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-editing/style-transfer",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}
seed
integer

더 많은 모델: 이미지 편집

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/image-editing/style-transfer.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt